// Show which pages contain parts of a story
function(pageItem, doc, appVersion)
{
	var info = "";

	do
	{
		if (! (pageItem instanceof TextFrame))
		{
			break;
		}

		var parentStory = pageItem.parentStory;
		var frameList;
		var beforeList = "";
		var afterList = "";
		var before = true;
		var curPage = "";
		var reportItem = "";
		var pageItemCount = 0;
		if (appVersion >= 5.0)
		{
			frameCount = parentStory.textContainers.length;
		}
		else
		{
			frameCount = parentStory.textFrames.length;
		}
		
		for (var frameIdx = 0; frameIdx <= frameCount; frameIdx++)
		{
			var storyFrame = null;
			if (frameIdx < frameCount)
			{
				if (gAppVersion >= 5.0)
				{
					storyFrame = parentStory.textContainers[frameIdx];
				}
				else
				{
					storyFrame = parentStory.textFrames.item(frameIdx);
				}
			}
			
			
			if (storyFrame == null)
			{
				framePage = "";
			}
			else 
			{
				var framePage = getParentPage(storyFrame);
				if (framePage == null)
				{
					framePage = "PB";
				}
				else
				{
					framePage = framePage.name;
				}
			}
			
			if 
			(
				(
					curPage != framePage
				 ||
					storyFrame == pageItem
				)                 
			)
			{
				if (pageItemCount > 0)
				{
					if (pageItemCount == 1)
					{
						reportItem = curPage;
					}
					else
					{
						reportItem = curPage + "(" + pageItemCount + ")"
					}
					
					if (before)
					{
						beforeList = beforeList + (beforeList == "" ? "" : ",") + reportItem;
					}
					else
					{
						afterList = afterList + (afterList == "" ? "" : ",") + reportItem;
					}
					pageItemCount = 0;
				}              
				curPage = framePage;
			}
			
			if (storyFrame == pageItem)
			{
				before = false;
			}
			else
			{
				pageItemCount++;
			}
		}
		status.info = "";
		if (beforeList != "" || afterList != "")
		{
			if (beforeList != "")
			{
				status.info += "Pgs.before:" + beforeList;
			}
			if (afterList != "")
			{
				if (status.info != "")
				{
					status.info += ",";
				}
				status.info += "Pgs.after:" + afterList;
			}
		}
	}
	while (false);

	return info;
}